.user_profile__container {
  -webkit-box-shadow: 0px 4px 4px 0px rgba(0,0,0,0.24);
  -moz-box-shadow: 0px 4px 4px 0px rgba(0,0,0,0.24);
  box-shadow: 0px 4px 4px 0px rgba(0,0,0,0.24);
  border-radius: 4px;
  max-width: 984px;
  width: 100%;
  overflow: hidden;
  font-family: $Rubik-Font;
  margin: 20px auto;

  .edit_icon {
    position: absolute;
    right: 0px;
    bottom: 10px;
    height: 48px;
    width: 48px;
    background-image: none;
    cursor: pointer;
  }

  .user_profile__header{
    background-color: rgb(204, 209, 217);
    display: flex;
    justify-content: flex-start;
    align-items: center;
  }

  .user_profile__header__icon {
    border-radius: 50%;
    background-color: rgb(79, 193, 233);
    height: 32px;
    width: 32px;
    margin: 8px 16px;
    img {
      width: 100%;
    }
  }

  .user_profile__main_info {
    background-color: rgb(79, 193, 233);
    display: flex;
    flex-wrap: wrap;
  }

  .user_profile__main_info__left_part {
    min-height: 226px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    flex-wrap: wrap;
    border-bottom: 2px solid rgba(0, 0, 0, 0.24);
  }

  .register_profile__main_info__select_container {
    width: 100%;
  }

  .register_profile__main_info__photo__container {
    width: 256px;
    height: 256px;
    min-width: 160px;
    max-width: 256px;
    border-radius: 50%;
    background-color: rgb(40, 141, 176);
    max-height: 256px;
    margin: 33px 0;
    overflow: hidden;
  }

  .register_profile__main_info__photo {
    cursor: pointer;
    padding-top: 100%;
    position: relative;

    img {
      position: absolute;
      width: 100%;
      height: 100%;
      top: 50%;
      left: 50%;
      transform: translateX(-50%) translateY(-50%);
    }

    p {
      position: absolute;
      top: 85%;
      text-align: center;
      line-height: 1;
      color: rgb(255, 255, 255);
      font-size: 9px;
      width: 100%;
    }

    p.desktop_photo_text {
      display: none;
    }
  }

  .user_profile__contact_info {
    background-color: white;
    display: flex;
    flex-wrap: wrap;
    overflow: hidden;
    border-bottom: 2px solid white;
  }

  .user_profile__contact_info__left_part {
    color: rgba(255, 255, 255, 0.8);
    background-color: rgb(67, 74, 84);
    padding: 14px 19px 14px 8px;
    display: flex;
    cursor: pointer;
    justify-content: space-between;
    align-items: center;
    width: 100%;

    .text {
      font-size: 16px;
      font-weight: 500;
      line-height: 19px;
    }

    .text:first-letter {
      text-transform: uppercase;
    }
  }

  .user_profile__contact_info__left_part:after {
    content: "";
    display: block;
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid rgb(230, 233, 237);
    transition: transform 0.5s ease;
  }
  .user_profile__contact_info.opened {
    .user_profile__contact_info__info_container {
      max-height: 96px;
    }
  }

  .user_profile__main_info__inputs_container {
    width: 100%;
  }

  .user_profile__main_info__bio {
    background-color: rgb(204, 209, 217);
    display: flex;
    flex-wrap: wrap;
    overflow: hidden;
  }

  .user_profile__main_info__bio__textarea {
    background-color: white;
    transition: max-height 0.5s ease;
    max-height: 0px;
    overflow: hidden;
    height: auto;
  }

  .user_profile__main_info__bio__name_container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 17px 19px 17px 8px;
    width: 100%;
  }

  .user_profile__main_info__bio__name_container:after {
    content: "";
    display: block;
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid rgb(70, 77, 87);
    transition: transform 0.5s ease;
  }

  .user_profile__main_info__bio.opened {
    .user_profile__main_info__bio__name_container:after {
      transform: rotate(180deg);
    }
    .user_profile__main_info__bio__textarea {
      max-height: 176px;
    }
  }
  
  .user_profile__main_info__bio__name {
    color: rgb(67, 74, 84);
    font-size: 12px;
  }

  .user_profile__main_info__bio__name:first-letter {
    text-transform: uppercase;
  }

  .register_profile__submit_section {
    display: flex;
    justify-content: center;
    padding: 8px;
    padding: 24px;
    border-top: 2px solid rgba(0, 0, 0, 0.24);
  }

  .register_profile__submit_section button {
    width: 228px;
  }

  .register_profile__submit_section button p {
    text-transform: uppercase;
  }

  .user_profile__main_info__full_name,
  .user_profile__main_info__bio__name_container {
    cursor: pointer;
  }

  .user_profile__contact_info__info_container {
    width: 100%;
    transition: max-height 0.5s ease;
    max-height: 0px;
    overflow: hidden;
    background-color: rgba(67, 74, 84, 0.8);
  }

  .user_profile__password_section {
    background-color: rgb(40, 141, 176);
    height: 80px;
    border-top: 2px solid #c2c2c2;
    display: flex;
    .password_container {
      width: 100%;
      display: flex;
      align-items: center;
      .password_container_padding {
        width: 100%;
        display: flex;
        align-items: center;
        padding: 0 8px;
        box-sizing: border-box;
      }
    }
  }

  .user_profile__password_section .dummy_section {
    display: none;
  }

  .user_profile__main_info__job,
  .user_profile__main_info__full_name,
  .user_profile__main_info__bio__textarea,
  .user_profile__contact_info_email,
  .user_profile__contact_info_phone {
    height: 80px;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    position: relative;
  }

  .user_profile__contact_info_email,
  .user_profile__contact_info_phone {
    height: 48px;
    position: relative;
    .temporary_input {
      padding: 0 0 0 8px;
      box-sizing: border-box;
      border: none;
      .mdl-textfield {
        input {
          overflow: hidden;
          text-overflow: ellipsis;
          border: none;
        }

        .mdl-textfield__label {
          padding: 0;
        }
        .mdl-textfield__label:after {
          content: none;
        }
      }
      .mdl-textfield.is-dirty,
      .mdl-textfield.is-focused {
        .mdl-textfield__label {
          color: rgba(0, 0, 0, 0);
        }
      }
      .mdl-textfield.is-invalid {
        input {
          color: coral;
        }
      }
    }
    .edit_icon {
      bottom: 0;
    }
  }
  .user_profile__contact_info_email:after {
    display: block;
    content: '';
    width: 2px;
    position: absolute;
    right: 0px;
    background-color: white;
    height: 80%;
    right: -16px;
    top: 50%;
    transform: translateY(-50%);
    border: none;
  }

  .user_profile__main_info__bio__textarea {
    width: 100%;
    box-sizing: border-box;
  }

  .temporary_input {
    box-sizing: border-box;
    width: 100%;
    padding-bottom: 10px;
    border-bottom: 2px solid rgba(39, 162, 206, 0.24);
    .mdl-textfield {
      width: 100%;
      padding: 0;
      display: block;
      textarea {
        font-family: $Rubik-Font;
        font-size: 16px;
        line-height: 18px;
        color: rgba(67, 74, 84, 0.8);
        border: none;
        height: 36px;
        font-weight: 500;
        box-sizing: border-box;
        vertical-align: bottom;
        padding: 0px 64px 0px 8px;
        overflow: hidden;
        resize: none;
      }

      input {
        background: transparent;
        font-size: 16px;
        line-height: 16px;
        color: rgba(255, 255, 255, 0.8);
        border: none;
        height: 48px;
        font-weight: 500;
        padding-bottom: 6px;
       //  border-bottom: 2px solid rgba(39, 162, 206, 0.24);
        box-sizing: border-box;
        vertical-align: bottom;
        padding: 0;
      }

      .mdl-textfield__label {
        font-size: 16px;
        line-height: 18px;
        font-weight: 500;
        padding-left: 8px;
        box-sizing: border-box;
        overflow: visible;
        color: rgba(67, 74, 84, 0.8);
      }

      .mdl-textfield__label:after {
        bottom: -12px;
      }
    }

    .mdl-textfield.is-dirty,
    .mdl-textfield.is-focused {
      .mdl-textfield__label {
        top: -21px;
        font-size: 12px;
        font-weight: 400;
      }
    }
  }

  .user_profile__main_info__bio__textarea,
  .user_profile__contact_info__info_container,
  .password_container {
    .temporary_input {
      .mdl-textfield {
        input,
        .mdl-textfield__label {
          color: rgba(255, 255, 255, 0.8);
        }
      }
    }
  }

  .user_profile__main_info__job,
  .user_profile__main_info__full_name {
    background-color: white;
  }

  .user_profile__main_info__bio__textarea {
    height: auto;
    .edit_icon {
      display: none;
    }
    .temporary_input {
      padding: 24px 0 10px;
      .mdl-textfield {
        textarea {
          font-size: 12px;
          line-height: 14px;
          font-weight: 400;
          padding: 0 8px;
          color: rgba(67, 74, 84, 0.8);
          height: auto;
        }
        .mdl-textfield__label {
          color: rgba(67, 74, 84, 0.8);
        }
      }
      .mdl-textfield.is-dirty,
      .mdl-textfield.is-focused {
        .mdl-textfield__label {
          color: rgba(67, 74, 84, 0);
        }
      }
    }
  }

  .user_profile_security_settings_section {
    border-bottom: 2px solid white;
    .user_profile_security_settings_section__heading {
      background-color: rgb(79, 193, 233);
      padding: 17px 19px 17px 8px;
      width: 100%;
      display: flex;
      justify-content: space-between;
      align-items: center;
      flex-wrap: nowrap;
      box-sizing: border-box;
      height: 56px;
      position: relative;
      cursor: pointer;
      span.icons {
        position: absolute;
        left: 4px;
        top: 4px;
      }
      p {
        padding: 0 0 0 52px;
        color: rgba(67, 74, 84, 0.8);
        font-size: 16px;
        font-weight: 500;
        line-height: 19px;
      }
    }

    .user_profile_security_settings_section__heading:after {
      content: "";
      display: block;
      width: 0;
      height: 0;
      border-left: 5px solid transparent;
      border-right: 5px solid transparent;
      border-top: 5px solid #464d57;
      transition: transform 0.5s ease;
    }

    .user_profile_security_settings_section__heading:hover {
      span.icons {
        background-image: url('/assets/svg/icon-settings-inactive.svg');
      }
    }

    .user_profile_security_settings_section__password_container {
      background-color: rgba(79, 193, 233, 0.8);
      transition: max-height 0.5s ease;
      max-height: 0px;
      overflow: hidden;
      .edit_icon,
      .temporary_input {
        pointer-events: none;
        visibility: hidden;
        .mdl-textfield {
          input {
            padding: 0 56px 0 8px;
            color: white;
            font-size: 16px;
          }

          .mdl-textfield__label {
            color: white;
          }
          .mdl-textfield__label:after {
            bottom: 0;
          }
        }
        .mdl-textfield.is-dirty,
        .mdl-textfield.is-focused {
          .mdl-textfield__label {
            color: rgba(0, 0, 0, 0);
            overflow: hidden;
            max-height: 0px;
          }
        }
        .mdl-textfield.is-invalid {
          input {
            color: coral;
          }
        }
      }
    }
  }

  .user_profile_security_settings_section.opened {
    .user_profile_security_settings_section__password_container {
      max-height: 340px;
      position: relative;
      .edit_icon,
      .temporary_input {
        pointer-events: auto;
        visibility: visible;
      }
      .edit_icon {
        bottom: 0px;
      }
      .temporary_input {
        padding: 0px;
      }
    }
  }

  .user_profile_game_accessibility_section {
    .user_profile_game_accessibility_section__header {
      height: 56px;
      box-sizing: border-box;
      background-color: rgba(79, 193, 233, 1);
      display: flex;
      justify-content: space-between;
      padding: 17px 19px 17px 8px;
      align-items: center;
      cursor: pointer;
      p {
        padding: 0;
        color: rgba(67, 74, 84, 0.8);
        font-size: 16px;
        font-weight: 500;
        line-height: 19px;
      }
    }

    .user_profile_game_accessibility_section__header:after {
      content: "";
      display: block;
      width: 0;
      height: 0;
      border-left: 5px solid transparent;
      border-right: 5px solid transparent;
      border-top: 5px solid #464d57;
      transition: transform 0.5s ease;
    }

    .user_profile_game_accessibility_section__game_checkbox_container {
      transition: max-height 1s ease;
      display: flex;
      flex-direction: column;
      .game_checkbox_item {
        width: 100%;
        >label {
          flex-direction: row;
          display: flex;
          flex-wrap: nowrap;
          align-items: center;
          justify-content: space-between;
          height: 48px;
          width: 100%;
          cursor: pointer;
          padding: 0 8px;
          box-sizing: border-box;
          position: relative;
          .game_checkbox_item__image {
            display: none;
            position: relative;
            z-index: 2;
          }
          .game_checkbox_item__name {
            margin-right: auto;
            text-transform: uppercase;
            font-weight: 500;
            font-size: 14px;
            color: rgb(105, 111, 119);
            position: relative;
            z-index: 2;
          }
          .game_item_background {
              position: absolute;
              width: 100%;
              height: 100%;
              top: 0;
              left: 0;
              z-index: 1;
              opacity: 0;
              background-color: rgb(216, 216, 216);
              transition: opacity 0.3s ease;
            }
            .is-checked+.game_item_background {
              opacity: 1;
            }
          > label {
            flex-shrink: 0;
            width: 24px;
            position: relative;
            z-index: 2;
          }
          .mdl-checkbox__focus-helper {
            visibility: hidden;
          }
          .mdl-checkbox.is-checked {
            .mdl-checkbox__box-outline {
              border: 2px solid rgb(70, 77, 87);
            }
            .mdl-checkbox__tick-outline {
              background: rgb(70, 77, 87);
            }
          }
        }
      }
    }
  }

  .user_profile__game_accessibility_section.opened {
    .user_profile_game_accessibility_section__header:after {
      transform: rotate(180deg);
    }
  }

  .register_profile__main_info__select_container {
    .mdl-selectfield {
      width: 100%;
      cursor: pointer;
      position: relative;
      .mdl-textfield {
        padding: 15px 0;
        input {
          margin-bottom: 0;
          padding: 0;
          color: rgb(67, 74, 84);
          text-transform: uppercase;
          border-bottom: 0;
        }
      }
      .mdl-selectfield__arrow {
        display: none;
      }
    }
    .mdl-selectfield:after {
      content: "";
      display: block;
      width: 0;
      height: 0;
      border-left: 5px solid transparent;
      border-right: 5px solid transparent;
      border-top: 5px solid #464d57;
      transition: transform 0.5s ease;
      position: absolute;
      right: 19px;
      top: 50%;
      transform: translateY(-50%) rotate(0deg);
    }
    .mdl-selectfield--is-focused {
      transform: translateY(-50%) rotate(180deg);
    }
  }

  //Select styles
  .register_profile__main_info__select_container {
    position: relative;
    select {
      font-family: $Rubik-Font;
      text-transform: uppercase;
      font-size: 16px;
      font-weight: 500;
      outline: none;
      -moz-osx-font-smoothing: grayscale;
      -webkit-font-smoothing: antialiased;
      color: rgb(67, 74, 84);
      padding: 12px 0;
      width: 100%;
      -webkit-appearance: none;
      -moz-appearance: none;
      appearance: none;
      display: -webkit-inline-box;
      display: -ms-inline-flexbox;
      display: inline-flex;
      -webkit-box-align: center;
      -ms-flex-align: center;
      align-items: center;
      text-align-last: center;
      -webkit-box-pack: center;
      -ms-flex-pack: center;
      justify-content: center;
      text-align: center;
      border: none;
      border-bottom: 2px solid rgba(0, 0, 0, 0.24);
      height: 47px;
      box-sizing: border-box;
      border-radius: 0;
      background: none;
      cursor: pointer;
      position: relative;
      option {
        font-family: $Rubik-Font;
        text-transform: uppercase;
        font-size: 16px;
        font-weight: 500;
        background: #4fc1e9;
        color: rgb(67, 74, 84);
        cursor: pointer;
      }
    }
  }

  .register_profile__main_info__select_container:after {
    position: absolute;
    content: "";
    display: block;
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid #464d57;
    transition: transform 0.5s ease;
    right: 19px;
    top: 50%;
    transform: translateY(-50%) rotate(0deg);
    pointer-events: none;
  }

  .user_profile__main_info__department {
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    align-content: space-between;
    background: white;
    //border-bottom: 2px solid rgba(39, 162, 206, 0.24);
    height: 80px;
    box-sizing: border-box;
    .user_profile__main_info__department__name_container,
    .user_profile__main_info__department__select_container {
      width: 100%;
    }
    .user_profile__main_info__department__name_container {
      p {
        font-size: 12px;
        line-height: 14px;
        color: rgba(67, 74, 84, 0.8);
        margin: 0;
        padding: 8px;
      }
    }
    .user_profile__main_info__department__select_container {
      padding-bottom: 2px;
      position: relative;
      select {
        font-family: $Rubik-Font;
        text-transform: uppercase;
        font-size: 16px;
        font-weight: 500;
        outline: none;
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        color: rgba(67, 74, 84, 0.8);
        padding: 12px 0;
        width: 100%;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        display: -webkit-inline-box;
        display: -ms-inline-flexbox;
        display: inline-flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        text-align-last: center;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        text-align: center;
        border: none;
        height: 48px;
        box-sizing: border-box;
        border-radius: 0;
        background: none;
        cursor: pointer;
        position: relative;
        option {
          font-family: $Rubik-Font;
          text-transform: uppercase;
          font-size: 16px;
          font-weight: 500;
          color: rgb(67, 74, 84);
          cursor: pointer;
          padding: 2px;
        }
      }
    }
    .user_profile__main_info__department__select_container:after {
      position: absolute;
      content: "";
      display: block;
      width: 0;
      height: 0;
      border-left: 5px solid transparent;
      border-right: 5px solid transparent;
      border-top: 5px solid #464d57;
      transition: transform 0.5s ease;
      right: 19px;
      top: 50%;
      transform: translateY(-50%) rotate(0deg);
      pointer-events: none;
    }
    .user_profile__main_info__department__select_container:hover:after,
    .user_profile__main_info__department__select_container:active:after,
    .user_profile__main_info__department__select_container:focus:after {
      border-top: 5px solid white;
    }
  }
}

@media all and (max-width: 600px) {
  .user_profile__main_info__inputs_container {
    textarea, input {
      color: black !important;
      padding-left: 3px !important;
    }
  }
}

@media all and (min-width: 600px) {
  .user_profile__container {
    margin: 20px auto;

    .user_profile__main_info__department {
      background: none;
      order: 3;
      margin-top: 10px;
      position: relative;
      border-bottom: none;
      max-width: 540px;
      .user_profile__main_info__department__select_container {
        select {
          text-align-last: left;
          justify-content: flex-start;
          text-align: left;
          padding-left: 8px;
        }
      }
    }
    .user_profile__main_info__department:after {
      content: "";
      display: block;
      height: 2px;
      width: 100%;
      max-width: 440px;
      left: 0;
      bottom:-2px;
      background: rgba(39, 162, 206, 0.24);
    }
    .user_profile__main_info__bio__textarea {
      box-sizing: content-box;
      background: none;
    }
    .temporary_input {
      margin-top: 5px;
      width: 100%;
      .mdl-textfield {
        input {
          font-size: 16px;
          //border-bottom: 2px solid rgba(39, 162, 206, 0.24);
        }
        .mdl-textfield__label {
          font-size: 16px;
        }
        .mdl-textfield__label:after {
          background-color: rgba(255, 255, 255, 0.3);
        }
      }
    }
    .user_profile__main_info__inputs_container {
     display: flex;
     flex-direction: column;
     padding: 24px 16px 32px 32px;
     width: 100%;
      box-sizing: border-box;
    }
    .user_profile__main_info__job,
    .user_profile__main_info__full_name {
      background-color: inherit;
    }
    .user_profile__main_info__bio__textarea {
      .temporary_input {
        width: 100%;
        padding: 0 56px 0 0;
        .mdl-textfield {
          input,
          .mdl-textfield__label {
            color: rgba(67, 74, 84, 0.8);
          }
        }
      }
      .edit_icon {
        display: block;
      }
    }
    .register_profile__main_info__photo {
      p {
        font-size: 12px;
      }
      p.mobile_photo_text {
        display: none;
      }
      p.desktop_photo_text {
        display: block;
      }
    }
    .user_profile__contact_info {
      background: rgba(67, 74, 84, 1);
    }
    .user_profile__contact_info,
    .user_profile__main_info {
      flex-wrap: nowrap;
    }
    .user_profile__contact_info__left_part,
    .user_profile__main_info__left_part {
      max-width: 326px;
      position: relative;
    }
    .user_profile__contact_info__left_part {
      align-items: center;
      justify-content: center;
      cursor: auto;
      position: relative;
      .text {
        font-size: 16px;
        font-weight: 500;
        line-height: 1.2;
        max-width: 100px;
        text-transform: none;
      }
      .text:first-letter {
        text-transform: uppercase;
      }
    }
    .user_profile__main_info__left_part {
      padding: 0 2px 0 0;
      box-sizing: border-box;
      width: 33%;
      flex-shrink: 0;
      border: none;
    }
    .user_profile__main_info__left_part:after {
      content: "";
      display: block;
      position: absolute;
      width: 2px;
      background-color: white;
      height: 87%;
      right: 0;
      top: 50%;
      transform: translateY(-50%);
    }
    .user_profile__main_info__bio__name_container:after,
    .user_profile__contact_info__left_part:after {
      display: none;
    }
    .user_profile__main_info__bio__name_container {
      cursor: inherit;
      display: none;
    }
    .user_profile__main_info__bio {
      background-color: inherit;
      border-top: none;
      border-bottom: none;
      order: 2;
    }
    .user_profile__main_info__full_name,
    .user_profile__main_info__job {
      border-top: none;
      order: 4;
    }
    .user_profile__main_info__full_name {
      order: 1;
    }
    .register_profile__submit_section {
      padding: 8px;
      justify-content: flex-end;
      border-top: none;
    }
    .user_profile__main_info__bio.opened .user_profile__main_info__bio__textarea,
    .user_profile__contact_info.opened .user_profile__contact_info__info_container,
    .user_profile__main_info__bio__textarea,
    .user_profile__contact_info__info_container {
      max-height: none;
      max-width: 538px;
    }
    .user_profile__main_info__job,
    .user_profile__main_info__full_name,
    .user_profile__main_info__bio__textarea,
    .user_profile__contact_info_email,
    .user_profile__contact_info_phone {
      justify-content: space-around;
    }

    .user_profile__main_info__bio__textarea,
    .user_profile__main_info__job,
    .user_profile__main_info__full_name {
      justify-content: flex-start;
      max-width: 540px;
      .temporary_input {
        width: 100%;
        max-width: none;
        max-width: 440px;
        .mdl-textfield {
          .mdl-textfield__label {
            color: rgba(67, 74, 84, 0.8);
            line-height: 18px;
            font-size: 16px;
          }
        }
        textarea {
          max-width: 440px;
        }
        .mdl-textfield.is-dirty,
        .mdl-textfield.is-focused {
          .mdl-textfield__label {
            font-size: 12px;
            line-height: 18px;
          }
        }
      }
    }
    .user_profile__main_info__bio__textarea {
      margin-top: 10px;
      .temporary_input {
        margin-top: 20px;
        .mdl-textfield {
          textarea {
            max-height: 120px;
            font-size: 14px;
            line-height: 14px;
            color: rgba(67, 74, 84, 0.8);
          }
          .mdl-textfield__label {
            padding-right: 56px;
          }
        }
        .mdl-textfield.is-dirty,
        .mdl-textfield.is-focused {
          .mdl-textfield__label {
            color: rgba(67, 74, 84, 0.8);
          }
        }
      }
      .edit_icon {
        top: 0;
        bottom: auto;
      }
    }

    .user_profile__contact_info {
      .user_profile__contact_info__left_part {
        width: 33%;
        height: 56px;
        padding: 0 2px 0 0;
        position: relative;
        .text {
          max-width: none;
        }
      }
      .user_profile__contact_info__left_part:after {
        display: block;
        content: '';
        width: 2px;
        position: absolute;
        right: 0px;
        background-color: white;
        height: 80%;
        right: 0;
        top: 50%;
        transform: translateY(-50%);
        border: none;
      }
      .user_profile__contact_info__info_container {
        height: 56px;
        width: 66%;
        display: flex;
        flex-wrap: nowrap;
        padding: 0;
        .user_profile__contact_info_email,
        .user_profile__contact_info_phone {
          padding: 4px 56px 4px 16px;
          margin-right: 16px;
          height: 56px;
          box-sizing: border-box;
          .temporary_input {
            margin: 0;
            .mdl-textfield {
              .mdl-textfield__label {
                top: 0;
                overflow: hidden;
                white-space: normal;
                height: 48px;
                display: flex;
                align-items: center;
                justify-content: flex-start;
              }
            }
          }
          .edit_icon {
            bottom: 4px;
          }
        }

      }
    }

    .user_profile_security_settings_section {
      background-color: rgba(79, 193, 233, 0.8);
      .user_profile_security_settings_section__password_container {
        opacity: 0;
        background: none;
        transition: opacity 0.2s ease-in, max-height 0.5s ease;
        .edit_icon {
          bottom: 4px;
        }
      }
    }
    .user_profile_security_settings_section.opened {
      .user_profile_security_settings_section__password_container {
        opacity: 1;
        max-height: 300px;
        width: calc(100% - 42px);
        background: none;
        margin-left: 26px;
        margin-right: 16px;
        display: flex;
        flex-direction: column;

        > div {
          display: flex;
          flex-direction: row;

          input {
            width: 100%;
          }
        }
        .edit_icon {
          bottom: 4px;
        }
      }
    }

    .user_profile_game_accessibility_section {
      .user_profile_game_accessibility_section__header {
        padding: 17px 19px 17px 16px;
      }
      .user_profile_game_accessibility_section__game_checkbox_container {
        padding: 0 40px;
        box-sizing: border-box;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: flex-start;
        .game_checkbox_item {
          height: 128px;
          margin: 32px 4px;
          width: 88px;
          >label {
            padding: 0;
            display: flex;
            flex-direction: column;
            justify-content: space-around;
            align-items: center;
            height: 100%;
            width: 100%;
            overflow: hidden;
            position: relative;
            z-index: 2;
            border-radius: 4px;
            overflow: hidden;
            z-index: 2;
            .game_checkbox_item__image {
              display: block;
              width: 72px;
              height: 72px;
              img {
                width: 100%;
                height: 100%;
              }
            }
            .game_checkbox_item__name {
              display: none;
            }
          }
        }
      }
    }
    .register_profile__main_info__select_container {
      margin-top: auto;
      select {
        border-bottom:none;
      }
    }
  }
}

textarea {
  overflow-y: auto !important;
}

@media all and (min-width: 1230px) {
  .user_profile__container {
    .register_profile__main_info__select_container {
      margin-left: 64px;
      margin-right: auto;
      width: 170px;
      align-self: flex-start;
      select {
        text-align-last: left;
        justify-content: flex-start;
        text-align: left;
      }
    }
    .register_profile__main_info__select_container:after {
      right: 0px;
    }
    .user_profile__contact_info .user_profile__contact_info__left_part {
      justify-content: flex-start;
      padding-left: 64px;
      box-sizing: border-box;
    }
    .user_profile_security_settings_section .user_profile_security_settings_section__heading p {
      padding: 0 0 0 56px;
    }
    .user_profile_game_accessibility_section .user_profile_game_accessibility_section__header {
      padding: 17px 19px 17px 64px;
    }
  }
}

.opened {
  .user_profile_security_settings_section__heading:after,
  .user_profile_game_accessibility_section__header {
      content: "";
      display: block;
      width: 0;
      height: 0;
      border-top: 0px !important;
      border-left: 0px solid transparent;
      border-right: 0px solid transparent;
      border-bottom: 5px solid #464d57;
      transition: transform 0.5s ease;
  }
}

.user_profile_security_settings_section__password_container {
  button {
    padding: 0px 10px;
    min-width: 180px;
    margin: 10px 0px 10px calc(100% - 190px);
  }
}

.user_profile_security_settings_section__password_container {
  > div {
    
    display: flex;
    flex-direction: row;
    padding: 10px 0px;

    .mdl-textfield__error {
      margin-left: 5px;
    }
  }
}